#include "wcDialogConstant.h"


#define ID_COMBO_XZ			10001
#define ID_COMBO_CUN			10002
#define ID_COMBO_CQR			10003
#define ID_EDIT_LXDH		10004
#define ID_COMBO_DZ1			10005
#define ID_COMBO_NZ1			10006
#define ID_COMBO_XZ1			10007
#define ID_COMBO_BZ1			10008
#define ID_EDIT_JL			10009
#define ID_EDIT_FWZL		10010
#define ID_EDIT_CQLY		10011
#define ID_EDIT_ZU			10012
#define ID_ZDSZ_GROUP		10013
#define ID_XZQ_GROUP		10014
#define ID_CQEXX_GROUP		10015
#define	ID_BTN_SAVE			10016
#define	ID_BTN_XXGJ			10017
#define ID_COMBO_CHY		10018
#define ID_COMBO_HTY		10019
#define ID_EDIT_CHRQ		10020
#define ID_EDIT_XZCODE		10021
#define ID_EDIT_CUNCODE		10022
#define ID_BTN_SELXZ		10023
#define ID_BTN_SELCUN		10024


#define wdMsgEndScript	6

wkView view;
wkGeoset geoset;
array aCtrIds = { ID_COMBO_XZ, ID_COMBO_CUN, ID_COMBO_CQR, ID_EDIT_LXDH,
ID_COMBO_DZ1, ID_COMBO_NZ1, ID_COMBO_XZ1, ID_COMBO_BZ1,
ID_EDIT_JL,
ID_EDIT_FWZL, ID_EDIT_CQLY, ID_EDIT_ZU, ID_COMBO_CHY, ID_COMBO_HTY,
ID_EDIT_CHRQ};
array aFields = { "乡镇", "村", "产权人", "电话", "东", "南", "西", "北", "勘丈记事", "房屋坐落",
	"产权来源", "组", "测绘员", "绘图员", "测绘日期" };
array aCtrIdGJ = { ID_COMBO_XZ, ID_COMBO_CUN, ID_EDIT_FWZL, ID_EDIT_CQLY,
ID_EDIT_ZU };
array aFieldGJ = { "乡镇", "村", "房屋坐落", "产权来源", "组" };
string sFieldGJ = "乡镇 ,村 ,房屋坐落, 产权来源, 组";

void Respond(wkDialog& dlg, int ctrlId, int act) 
{
	if (act == wdMsgNone)
		return;

	if (act == wdMapLbtnUp) 
	{
		message(toString(dlg.getMapActionPos()));
	} else if (act == wdMsgBnClicked) 
	{
		if (ctrlId == ID_BTN_SAVE) 
		{
			message(dlg.getText(ctrlId) + "\n" + dlg.getText(ID_COMBO_XZ));
		} 
		else if (ctrlId == ID_BTN_XXGJ) 
		{
			message(dlg.getText(ctrlId));
		}
	}
	else if (act == wdMsgSelchange) 
	{
		if (ctrlId == ID_COMBO_XZ) 
		{
			message(dlg.getText(ctrlId,dlg.getCurSel(ctrlId)));
		}
	} 
	else if (ctrlId == ID_EDIT_FWZL && act == wdMsgEnKillFocus)
	{
		message(dlg.getText(ctrlId));
	}
	else if (act == wdMsgEndScript) 
	{
	}
}

void CreateDlg(wkDialog& dlg) 
{
	dlg.create("宗地属性");
	int x = 3, y = 5;

	y += 8;
	dlg.addCtrl(ID_CQEXX_GROUP, wdCtrlButton, x - 2, y - 3, 160, 113, BS_GROUPBOX,
			"宗地信息");
	y += 8;
	dlg.addCtrl("产权人:", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_CQR, wdCtrlComboBox, x + 28, y + 2, 127, 15, CBS_DROPDOWN);

	dlg.addCtrl(ID_BTN_XXGJ, wdCtrlButton, x + 108, y - 19, 50, 15, WS_BORDER,
			"信息挂接");
	dlg.setAction(ID_BTN_XXGJ, wdMsgBnClicked);

	y += 20;
	dlg.addCtrl("组:", x + 2, y + 3);
	dlg.addCtrl(ID_EDIT_ZU, wdCtrlEdit, x + 15, y + 2, 45, 15, ES_LEFT);

	dlg.addCtrl("房屋坐落:", x + 65, y + 3);
	dlg.addCtrl(ID_EDIT_FWZL, wdCtrlEdit, x + 100, y + 2, 55, 15, ES_LEFT);
	dlg.setAction(ID_EDIT_FWZL, wdMsgEnKillFocus);

	y += 20;
	dlg.addCtrl("产权来源:", x + 2, y + 3);
	dlg.addCtrl(ID_EDIT_CQLY, wdCtrlEdit, x + 35, y + 2, 25, 15, ES_LEFT);
	dlg.addCtrl("联系电话:", x + 65, y + 3);
	dlg.addCtrl(ID_EDIT_LXDH, wdCtrlEdit, x + 100, y + 2, 55, 15, ES_LEFT);

	y += 20;
	dlg.addCtrl("乡镇(街道):", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_XZ, wdCtrlComboBox, x + 50, y + 2, 105, 15, CBS_DROPDOWN);
	dlg.insertItem(ID_COMBO_XZ, dlg.count(ID_COMBO_XZ), "西湖区");
	dlg.insertItem(ID_COMBO_XZ, dlg.count(ID_COMBO_XZ), "余杭区");
	dlg.insertItem(ID_COMBO_XZ, dlg.count(ID_COMBO_XZ), "上城区");
	dlg.insertItem(ID_COMBO_XZ, dlg.count(ID_COMBO_XZ), "下城区");
	dlg.insertItem(ID_COMBO_XZ, dlg.count(ID_COMBO_XZ), "拱墅区");
	dlg.insertItem(ID_COMBO_XZ, dlg.count(ID_COMBO_XZ), "萧山区");

	// 	dlg.addCtrl(ID_EDIT_XZCODE, wdCtrlEdit, x+50, y+2, 60, 15, ES_LEFT);
	// 	dlg.show(ID_EDIT_XZCODE,0);
	y += 20;
	dlg.addCtrl("行政村(社区):", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_CUN, wdCtrlComboBox, x + 50, y + 2, 105, 15, CBS_DROPDOWN);
	// 	dlg.addCtrl(ID_EDIT_CUNCODE, wdCtrlEdit, x+50, y+2, 60, 15, ES_LEFT);
	// 	dlg.show(ID_EDIT_CUNCODE, 0);
	dlg.setAction(ID_COMBO_XZ, wdMsgSelchange);

	y += 28;
	dlg.addCtrl(ID_ZDSZ_GROUP, wdCtrlButton, x - 2, y - 3, 160, 95, BS_GROUPBOX,
			"宗地四至");
	y += 8;
	dlg.addCtrl("东至:", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_DZ1, wdCtrlComboBox, x + 23, y + 2, 132, 15, CBS_DROPDOWN);
	dlg.setAction(ID_COMBO_DZ1, wdMsgSelchange);
	y += 20;
	dlg.addCtrl("南至:", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_NZ1, wdCtrlComboBox, x + 23, y + 2, 132, 15, CBS_DROPDOWN);
	dlg.setAction(ID_COMBO_NZ1, wdMsgSelchange);
	y += 20;
	dlg.addCtrl("西至:", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_XZ1, wdCtrlComboBox, x + 23, y + 2, 132, 15, CBS_DROPDOWN);
	dlg.setAction(ID_COMBO_XZ1, wdMsgSelchange);
	y += 20;
	dlg.addCtrl("北至:", x + 2, y + 3);
	dlg.addCtrl(ID_COMBO_BZ1, wdCtrlComboBox, x + 23, y + 2, 132, 15, CBS_DROPDOWN);
	dlg.setAction(ID_COMBO_BZ1, wdMsgSelchange);
	array comdata = { "道路", "空地", "河", "桑地", "水田", "水塘", "林地" };
	for (int i = 0; i < comdata.getSize(); ++i) {
		dlg.insertItem(ID_COMBO_DZ1, i, comdata[i]);
		dlg.insertItem(ID_COMBO_NZ1, i, comdata[i]);
		dlg.insertItem(ID_COMBO_XZ1, i, comdata[i]);
		dlg.insertItem(ID_COMBO_BZ1, i, comdata[i]);
	}

	y += 25;
	dlg.addCtrl(20001, wdCtrlButton, x - 2, y + 6, 160, 100, BS_GROUPBOX,
			"勘丈调查特殊情况记录");
	dlg.addCtrl(ID_EDIT_JL, wdCtrlEdit, x + 2, y + 20, 153, 30, ES_LEFT);

	y += 50;
	dlg.addCtrl("测绘员:", x + 2, y + 4);
	dlg.addCtrl(ID_COMBO_CHY, wdCtrlComboBox, x + 40, y + 2, 115, 15, CBS_DROPDOWN);
	
	y += 18;
	dlg.addCtrl("绘图员:", x + 2, y + 4);
	dlg.addCtrl(ID_COMBO_HTY, wdCtrlComboBox, x + 40, y + 2, 115, 15, CBS_DROPDOWN);

	y += 18;
	dlg.addCtrl("测绘日期:", x + 2, y + 4);
	dlg.addCtrl(ID_EDIT_CHRQ, wdCtrlEdit, x + 40, y + 2, 115, 15, ES_DATE);

	y += 20;
	dlg.addCtrl(ID_BTN_SAVE, wdCtrlButton, x - 2, y + 5, 161, 17, WS_BORDER, "保存");
	dlg.setAction(ID_BTN_SAVE, wdMsgBnClicked);
	dlg.setAction(wdMapLbtnUp);
	wkFile file;
	file.iniWrite("ZD", "nLastFeatureId", "-1", "wkGlobeDump.ini");
	file.close();

	dlg.show(wdIdOk, 0);
	dlg.show(wdIdCancel, 0);
	dlg.setAction(wdMsgEndScript);
	dlg.show();
}

void main(array args) 
{
	wkDialog dlg;
	CreateDlg(dlg);

	int ctrlId;
	while (1)
	{
		int act = dlg.peekAction(ctrlId);
		if (act == -1)
		{
			break;
		}

		//响应消息
		Respond(dlg, ctrlId, act);
	}
}
