#include "wcDialogConstant.h"

#define ID_BUTTON 1001
#define ID_EDIT 1002


//创建对话框
void CreateDlg(wkDialog& dlg, int nThemeId)
{
	//int nThemeId = 0;
	dlg.create("dialog caption",nThemeId);
	switch(nThemeId)
	{
		case 0: dlg.setText(0,"经典MFC主题");	break;
		case 1: dlg.setText(0,"标准Htm风格");	break;
		case 2: dlg.setText(0,"QQ2015风格");	break;
		case 3: dlg.setText(0,"IOS8.3风格");	break;
		case 4: dlg.setText(0,"WalkIMobile平板风格");	break;
		case 5: dlg.setText(0,"Windows 10风格");	break;
	}
	
	int x=10, y=10, w=175, h=210;
	dlg.addCtrl(1001,wdCtrlButton,x-5,y,w,h,BS_GROUPBOX,"文本框");
	x=10;y+=20;w=55;
	dlg.addCtrl("ES_LEFT", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1002,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_LEFT,"ES_LEFT");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_CENTER", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1003,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_CENTER,"ES_CENTER");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_RIGHT", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1004,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_RIGHT,"ES_RIGHT");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_UPPERCASE", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1005,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_UPPERCASE,"ES_UPPERCASE");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_LOWERCASE", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1006,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_LOWERCASE,"ES_LOWERCASE");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_PASSWORD", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1007,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_PASSWORD,"ES_PASSWORD");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_NUMBER", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1008,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_NUMBER,"0.123456789");
	
	x=10;y+=20;w=55;
	dlg.addCtrl("ES_DATE", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1009,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_DATE,"today");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_TIME", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1010,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_TIME,"now");

	x=10;y+=20;w=55;
	dlg.addCtrl("ES_READONLY", x, y);
	x+=w+5;w=100;
	dlg.addCtrl(1011,wdCtrlEdit,x,y-2,w,wdSizeDefault,ES_READONLY,"ES_READONLY");


	x=195;y=10;w=180, h=210;
	dlg.addCtrl(1012,wdCtrlButton,x-5,y,w,h,BS_GROUPBOX,"按钮");
	x=x;y+=20;w=55;
	dlg.addCtrl("Text buttons:", x, y);
	x=x;y+=10;w=50;
	dlg.addCtrl(1013,wdCtrlButton,x,y,w,wdSizeDefault,0,"WalkISurvey");
	x+=w+10;w=50;
	dlg.addCtrl(1014,wdCtrlButton,x,y,w,wdSizeDefault,0,"WalkIOffice");
	x+=w+10;w=40;
	dlg.addCtrl(1015,wdCtrlButton,x,y,w,wdSizeDefault,0,"WalkCheck");

	x=195;y+=30;w=50;
	dlg.addCtrl("Radio btns", x, y);
	x=x;y+=10;w=60;
	dlg.addCtrl(1016,wdCtrlRadio,x,y,w,wdSizeDefault,WS_GROUP,"信息化测绘平台");
	x+=w+30;w=50;
	dlg.addCtrl(1017,wdCtrlRadio,x,y,w,wdSizeDefault,0,"移动平台");
	

	x=195;y+=30;w=50;
	dlg.addCtrl("Check boxes", x, y);
	x=x;y+=10;w=60;
	dlg.addCtrl(1018,wdCtrlCheck,x,y,w,wdSizeDefault,0,"信息化测绘平台");
	x+=w+30;w=50;
	dlg.addCtrl(1019,wdCtrlCheck,x,y,w,wdSizeDefault,0,"移动平台");

	x=195;y+=30;w=70;
	dlg.addCtrl("Pushlike Radio", x, y);
	x=x;y+=10;w=60;
	dlg.addCtrl(1020,wdCtrlRadio,x,y,w,wdSizeDefault,WS_GROUP|BS_PUSHLIKE,"信息化测绘平台");
	x+=w+30;w=40;
	dlg.addCtrl(1021,wdCtrlRadio,x,y,w,wdSizeDefault,BS_PUSHLIKE,"移动平台");

	x=195;y+=30;w=50;
	dlg.addCtrl("Pushlike Check boxes", x, y);
	x=x;y+=10;w=60;
	dlg.addCtrl(1022,wdCtrlCheck,x,y,w,wdSizeDefault,WS_GROUP|BS_PUSHLIKE,"信息化测绘平台");
	x+=w+30;w=40;
	dlg.addCtrl(1023,wdCtrlCheck,x,y,w,wdSizeDefault,BS_PUSHLIKE,"移动平台");
	
	dlg.show(wdIdOk,0);
	dlg.show(wdIdCancel,0);
	dlg.show();

}

void main()
{
	for(int i = 0; i < 1; ++i)
	{
		wkDialog dlg;
		int ctrlId;
		CreateDlg(dlg, i);
		
		while(1)
		{			
			int act	= dlg.peekAction(ctrlId);
			if (act == -1)
				break;
			
			//响应消息
			//if(Respond(dlg, ctrlId, act)==false)
			//	break;			
		}
	}
	
}
